CURLINFO_PRETRANSFER_TIME(3)

NAME
CURLINFO_PRETRANSFER_TIME - get the time until the file transfer start

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_PRETRANSFER_TIME, double *timep);

DESCRIPTION
Pass a pointer to a double to receive the time, in seconds, it took from the start until the file transfer is just about to begin. This includes all pre-transfer commands and negotiations that are specific to the particular protocol(s) involved. It does not involve the sending of the protocol- specific request that triggers a transfer. See also the TIMES overview in the curl_easy_getinfo(3) man page.

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.4.1

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3),